Bug 1415994 - Engine does not add correct rng device to the OVF file for the HE VM
Summary: Engine does not add correct rng device to the OVF file for the HE VM
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-hosted-engine-ha
Classification: oVirt
Component: Agent
Version: ---
Hardware: x86_64
OS: Linux
urgent
urgent
Target Milestone: ovirt-4.1.0-rc
: 2.1.0.1
Assignee: Jenny Tokar
QA Contact: Artyom
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-24 10:50 UTC by Artyom
Modified: 2017-05-11 09:24 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-15 14:53:49 UTC
oVirt Team: SLA
rule-engine: ovirt-4.1+
rule-engine: blocker+
msivak: devel_ack+


Attachments (Terms of Use)
vdsm and agent logs (1.36 MB, application/zip)
2017-01-24 10:50 UTC, Artyom
no flags Details


Links
System ID Private Priority Status Summary Last Updated
oVirt gerrit 71078 0 master MERGED Fix RNG device model when parsing OVF 2017-01-25 13:44:07 UTC
oVirt gerrit 71155 0 master MERGED Fix adding rng device 2017-01-25 13:44:09 UTC
oVirt gerrit 71161 0 v2.1.z MERGED Fix RNG device model when parsing OVF 2017-01-25 13:57:01 UTC
oVirt gerrit 71162 0 v2.1.z MERGED Fix adding rng device 2017-01-25 13:56:59 UTC

Description Artyom 2017-01-24 10:50:49 UTC
Created attachment 1243872 [details]
vdsm and agent logs

Description of problem:
Starting HE VM with OVF that generated by the engine fails with the error:
2017-01-24 11:15:47,855 ERROR (vm/de621350) [virt.vm] (vmId='de621350-94da-435c-a67a-cd616d2fab50') The vm start process failed (vm:616)
Traceback (most recent call last):
  File "/usr/share/vdsm/virt/vm.py", line 552, in _startUnderlyingVm
    self._run()
  File "/usr/share/vdsm/virt/vm.py", line 1994, in _run
    self._connection.createXML(domxml, flags),
  File "/usr/lib/python2.7/site-packages/vdsm/libvirtconnection.py", line 123, in wrapper
    ret = f(*args, **kwargs)
  File "/usr/lib/python2.7/site-packages/vdsm/utils.py", line 941, in wrapper
    return func(inst, *args, **kwargs)
  File "/usr/lib64/python2.7/site-packages/libvirt.py", line 3777, in createXML
    if ret is None:raise libvirtError('virDomainCreateXML() failed', conn=self)
libvirtError: XML error: missing RNG device model

Version-Release number of selected component (if applicable):
rhevm-4.1.0.2-0.1.el7.noarch
vdsm-4.19.2-2.el7ev.x86_64
libvirt-client-2.0.0-10.el7_3.4.x86_64

How reproducible:
50% (depends if HE use initial vm.conf or one from the OVF, connect to the bug https://bugzilla.redhat.com/show_bug.cgi?id=1411783)

Steps to Reproduce:
1. Deploy HE
2. Add master storage domain to engine
3. Wait for HE OVF generation
4. Enable global maintenance
5. Run hosted-engine --vm-poweroff
6. Run hosted-engine --vm-start

Actual results:
HE VM fails to start

Expected results:
HE VM succeeds to start with correct configuration

Additional info:

Comment 1 Yaniv Kaul 2017-01-25 09:49:21 UTC
Is this a regression?
What is the workaround?

Comment 2 Martin Sivák 2017-01-25 13:33:48 UTC
This is not a regression, we did not have RNG device before. There is no workaround, we have to fix it.

Comment 3 Artyom 2017-02-05 14:50:28 UTC
Verified on ovirt-hosted-engine-ha-2.1.0.1-1.el7ev.noarch

HE VM has correct rng device:

<rng model='virtio'>
  <backend model='random'>/dev/random</backend>
  <alias name='rng0'/>
  <address type='pci' domain='0x0000' bus='0x00' slot='0x07' function='0x0'/>
</rng>


Note You need to log in before you can comment on or make changes to this bug.